"use strict";
var client_1 = require("../client");
var schema_1 = require("./schema");
module.exports = function (client) {
    var protocol = new client_1.MuRPCClient(client, schema_1.RPCSchema);
    protocol.configure({
        rpc: {
            sum: function (set, next) {
                var total = set.reduce(function (acc, num) { return acc + num; });
                next(undefined, total);
            },
        },
        ready: function () {
            var secret = Math.random().toString(36).substr(2, 11);
            protocol.server.rpc.hash(secret, function (digest) {
                console.log('secret digest:', digest);
            });
        },
    });
    client.start();
};
//# sourceMappingURL=client.js.map