"use strict";
var crypto_1 = require("crypto");
var server_1 = require("../server");
var schema_1 = require("./schema");
module.exports = function (server) {
    var protocol = new server_1.MuRPCServer(server, schema_1.RPCSchema);
    protocol.configure({
        rpc: {
            hash: function (secret, next) {
                var digest = crypto_1.createHash('sha512').update(secret).digest('hex');
                next(undefined, digest);
            },
        },
        connect: function (client) {
            var set = [1, 2, 3, 4];
            client.rpc.sum(set, function (total) {
                console.log("sum of " + set + ": " + total);
            });
        },
    });
    server.start();
};
//# sourceMappingURL=server.js.map