import { MuServer } from 'mudb/server';
import { MuRPCTable, MuRPCProtocolSchema, MuRPCInterface } from './rpc';
export declare class MuRemoteRPCClient<RPCTable extends MuRPCTable> {
    readonly sessionId: string;
    readonly rpc: MuRPCInterface<RPCTable>['callerAPI'];
    constructor(client: any, rpc: any);
}
export declare class MuRPCServer<ProtocolSchema extends MuRPCProtocolSchema> {
    readonly server: MuServer;
    readonly schema: ProtocolSchema;
    readonly clients: MuRemoteRPCClient<ProtocolSchema['client']>[];
    private _callProtocol;
    private _responseProtocol;
    private _errorProtocol;
    private _callbacks;
    private _createRPCToClient;
    constructor(server: MuServer, schema: ProtocolSchema);
    configure(spec: {
        rpc: MuRPCInterface<ProtocolSchema['server']>['serverHandlerAPI'];
        ready?: () => void;
        connect?: (client: MuRemoteRPCClient<ProtocolSchema['client']>) => void;
        disconnect?: (client: MuRemoteRPCClient<ProtocolSchema['client']>) => void;
        close?: () => void;
    }): void;
}
